package com.ebaiyihui.family.doctor.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
public class DrugDetailData {

    @ApiModelProperty(value = "处方明细id")
    private String presDetailId;

    @ApiModelProperty(value = "药品名称")
    private String drugName;

    @ApiModelProperty(value = "药品规格")
    private String drugSpec;

    @ApiModelProperty(value = "生产企业")
    private String manufacturer;

    @ApiModelProperty(value = "用法用量")
    private String dosage;

    @ApiModelProperty(value = "数量")
    private BigDecimal amount;

    @ApiModelProperty(value = "数量单位")
    private String amountUnit;

    @ApiModelProperty(value = "用药周期")
    private Integer duration;

    @ApiModelProperty(value = "单价")
    private String unitPrice;

    @ApiModelProperty(value = "总价")
    private String totalPrice;

    @ApiModelProperty(value = "长期用药理由")
    private String reasonDesc;

    @ApiModelProperty(value = "医生备注")
    private String docRemark;

    @ApiModelProperty(value = "审核医师备注")
    private String verifyRemark;

    @ApiModelProperty(value = "药品编码")
    private String productCode;

}
